Loading...
Searching...
No Matches
Ogre::ConfigOption Struct Reference
Core » RenderSystem

Packages the details of a configuration option. More...

`#include <OgreConfigOptionMap.h>`

## Public Attributes

String | currentValue
bool | immutable
String | name
StringVector | possibleValues

## Detailed Description

Packages the details of a configuration option.

Used for RenderSystem::getConfigOptions. If immutable is true, this option must be disabled for modifying.

## Member Data Documentation

## name

String Ogre::ConfigOption::name

## currentValue

String Ogre::ConfigOption::currentValue

## possibleValues

StringVector Ogre::ConfigOption::possibleValues

## immutable

bool Ogre::ConfigOption::immutable

The documentation for this struct was generated from the following file:

- OgreConfigOptionMap.h